 <!--<mat-sidenav-container class="example-container">
    <mat-sidenav #sidenav mode="side" [(opened)]="opened" (opened)="open()" (closed)="close()">
        <app-sidebar (toggleSideBarEvent)="sideBarToggler($event)"></app-sidebar>
    </mat-sidenav>

    <mat-sidenav-content [ngClass]="{'paddingLeft': (!opened) }">
        <app-header (toggleSideBarEvent)="sideBarToggler($event)" (toggleLeftBarEvent)="letBarToggler($event)"> </app-header>
    </mat-sidenav-content>

    <ng-sidebar mode="slide" [opened]="leftBarOpen" position="end">
        <app-leftbar (toggleLeftBarEvent)="letBarToggler($event)"></app-leftbar>
    </ng-sidebar>

  </mat-sidenav-container>-->

<mat-drawer-container class="Layout">
    <mat-drawer mode="push"  [opened]="sideBarOpen">
        <app-sidebar (toggleSideBarEvent)="sideBarToggler($event)"></app-sidebar>
    </mat-drawer>

    <mat-drawer-content>
        <app-header (toggleSideBarEvent)="sideBarToggler($event)" (toggleLeftBarEvent)="letBarToggler($event)" (DarkModeEvent)="DarkModechecked($event)" >
        </app-header>
        <div class="Page">
            <router-outlet></router-outlet>
        </div>
        
    </mat-drawer-content>

    <mat-drawer mode="push" [opened]="leftBarOpen" position="end">
        <app-leftbar (toggleLeftBarEvent)="letBarToggler($event)"></app-leftbar>
    </mat-drawer>

</mat-drawer-container>
